Subject: RE: [Simple] revised SIMPLE charter - comments?

From: [email-masked]
Date: Thu, 4 Jul 2002 13:18:18 +0300

Hi folks,

New charter looks like a step to right direction. 
Some comments inline:

> -----Original Message-----
> From: ext Peterson, Jon [mailto:[email-masked]]
> Sent: 22 May, 2002 11:53
> To: [email-masked]'
> Subject: [Simple] revised SIMPLE charter - comments?
> 
> Description of Working Group: 
> 
> This working group focuses on the application of the Session 
> Initiation
> Protocol (SIP, RFC 3261) to the suite of services 
> collectively known as
> instant messaging and presence (IMP). The IETF has committed 
> to producing an
> interoperable standard for these services compliant to the 
> requirements for
> IM
> outlined in RFC 2779 (including the security and privacy 
> requirements there)
> and in the Common Presence and Instant Messaging (CPIM) specification,
> developed
> within the IMPP working group. As the most common services 
> for which SIP is
> used 
> share quite a bit in common with IMP, the adaptation of SIP 
> to IMP seems a 
> natural choice given the widespread support for (and relative 
> maturity of)
> the 
> SIP standard. 
> 
> The primary work of this group will be to generate: 
> 
> 1. A proposed standard SIP extension documenting the 
> transport of Instant
> Messages in SIP, compliant to the requirements for IM 
> outlined in RFC 2779,
> CPIM and in BCP 41 (so that the transport implications of the 
> extension 
> with respect to network congestion are considered in the design). 
> 
> 2. A proposed standard SIP event package and any related protocol 
> mechanisms used to support presence, compliant to the 
> requirements for 
> presence outlined in RFC 2779 and CPIM. 
> 
> 3. An architecture for the implementation of a traditional buddylist-
> based instant messaging and presence application with SIP, 
> including for
> example new mechanisms for message confirmation delivery, 
> indications for
> when 
> a party is in the process of typing a message, secure 
> buddylist manipulation
> 
> operations, and the extension of the CPIM presence format to describe
> typical 
> IM states.
> 
> All SIMPLE proposals fulfilling these goals must document the 
> mappings of 
> their operation to CPIM. Any SIP extensions proposed in the 
> course of this 
> development will, after a last call process, be transferred 
> to the SIP WG 
> for consideration as formal SIP extensions.
> 
> The working group will work within the framework for presence and IM
> described in RFC 2778. The extensions it defines must also be 
> compliant with
> the SIP processes for extensions. The group cannot modify baseline SIP
> behavior or define a new version of SIP for IM and presence. 
> If the group
> determines that any capabilities requiring an extension to 
> SIP are needed,
> the group will seek to define such extensions within the SIP 
> working group, 
> and then use them here. 
> 
> The working group will operate in close cooperation with the 
> IMPP working
> group, which will be completing CPIM in parallel. The working 
> group will
> also cooperate with any other groups defined to standardize 
> other presence
> and IM systems, to ensure maximum sharing of information and avoid
> reinvention of the wheel. The working group will cooperate 
> with the SIP
> working group, soliciting reviews to ensure its extensions meet SIPs
> requirements. The working group will also collaborate with 
> the SIP WG to
> ensure consistent operation of the SUBSCRIBE and NOTIFY methods across
> the other applications being defined for its use. 
> 
> Goals and Milestones:
> Apr 02    Submission of event package for presence to IESG 
> for publication 
> as Proposed Standard
> May 02    Submission of watcher information drafts to IESG 
> for publication 
> as Proposed Standards
> Jun 02    Submission of CPIM mapping draft to IESG for publication as 
> Informational
> Jun 02    Submission of instant messaging session drafts to IESG for 
> publication as Proposed Standards
> Jul 02    Submission of buddylist package set to IESG for 
> publication as 
> Proposed Standards
> Jul 02    Submission of buddylist auth/modify requirements 
> draft to IESG 
> for publication as Informational

There are also some other 'management' requirements for presence service, 
for example presence authorization and presence uploading. Could this work item
be extended to include also those. Also the actual solution spec. seems to be
missing. Could that be added to charter as well?

> Aug 02    Submission of SIMPLE PIDF profile to IESG for 
> publication as 
> Proposed Standard

To my understanding this item is mainly targeted to specify SIMPLE specific 
status values. I was just wondering if the scope of this working item could 
be extended to contain items like support for partial notifications?

> Aug 02    Submission of advanced messaging requirements draft 
> to IESG for 
> publication as Informational

Could the actual solution specification also be added to charter?

> Sep 02    Submission of Presence/IM System Architecture draft 
> to IESG for 
> publication as Informational

This item seems a bit unclear to me. If the purpose of this item 
is to provide information how all different SIMPLE specifications fit 
together then this sounds reasonable but otherwise I don't see much value in this.

Here is a list of missing WG items that in my mind would benefit SIMPLE group:
- Filtering solutions for presence and winfo:
Solution could be either generic or event package specific. There has already 
been some discussions on the SIPPING list about this topic and I would like to ask 
whether this should be handled in SIPPING or in SIMPLE wg?

-Partial notifications: 
Partial notifications means that instead of PS always sending complete presence state
it could only send data that has actually changed. For example winfo already allows this
kind of functionality. I understand that this is not CPIM compliant feature but it is 
still very important (at least for wireless environments) and would be good
if SIMPLE and IMPP WGs could consider adopting this as wg work item.
 	
regards
- Mikko

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 05 Jul 2002 15:03:35 -0400

[email-masked] wrote:
> be extended to include also those.

Presence uploading is being considered separately; see the publish draft 
just recently submitted. Other general management issues are in scope, 
IMHO. In fact:

http://www.jdrosen.net/papers/draft-rosenberg-simple-data-req-00.txt

looks at the problem more generally.

> Also the actual solution spec. seems to be

I think the idea was to get the requirements doc done and then move onto 
the solution do as a result of another recharter.

> Could the actual solution specification also be added to charter?

Same as above.

> together then this sounds reasonable but otherwise I don't see much value in this.

Its the "overall architecture" document that shows how all this various 
stuff fits together to build complete systems.

> whether this should be handled in SIPPING or in SIMPLE wg?

Good question. It could be either. Its not a SIP extension, in fact. If 
its for sip-events generally, probably sipping is better, but simple has 
more cycles...

> if SIMPLE and IMPP WGs could consider adopting this as wg work item.

The presence list package provides partial notifications, on the level 
of granularity of individual presentity. Do you feel there is really a 
need for partial notifications at a finer granularity? I am not convinced.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com